# FIXME: Need to package at least https://github.com/YosysHQ/sby for tests
%bcond_with check

Name:           python3-amaranth
Version:        0.5.1
Release:        1%{?dist}
Summary:        A modern hardware definition language and toolchain based on Python

License:        BSD-2-Clause
URL:            https://amaranth-lang.org
Source0:        %{pypi_source amaranth}

Patch:          dont-use-private-pdm-import.patch
Patch:          relax-pdm-req-version.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%if %{with check}
# For the testsuite
BuildRequires:  yosys
%endif

%description
The Amaranth project provides an open-source toolchain for developing hardware
based on synchronous digital logic using the Python programming language. It
aims to be easy to learn and use, reduce or eliminate common coding mistakes,
and simplify the design of complex hardware with reusable components.

%prep
%autosetup -n amaranth-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files amaranth

%if %{with check}
%check
%{py3_test_envvars} %{python3} -m unittest
%endif

%files -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
%{_bindir}/amaranth-rpc

%changelog
* Thu Aug 15 2024 Antoine Damhet <antoine.damhet@gmail.com> - 0.5.1-1
- Bump version to 0.5.1
* Sat Jun 22 2024 Antoine Damhet <antoine.damhet@gmail.com> - 0.5.0-1
- Bump version to 0.5
* Wed May 01 2024 Antoine Damhet <antoine.damhet@gmail.com> - 0.4.5-1
- Initial package version
